changeset 648:a72f7f70c003

Now that the 2.6.29 kernel is out with squashfs, add squashfs to host-tools.sh and system-image.sh.
author Rob Landley <rob@landley.net>
date Tue, 24 Mar 2009 19:36:07 -0500
parents 6886c9fcb89b
children 950ef7de1cf9
files host-tools.sh system-image.sh
diffstat 2 files changed, 16 insertions(+), 18 deletions(-) [+]
line wrap: on
line diff
--- a/host-tools.sh	Tue Mar 24 17:01:41 2009 -0500
+++ b/host-tools.sh	Tue Mar 24 19:36:07 2009 -0500
@@ -189,16 +189,16 @@
 
 # Squashfs is an alternate packaging option.
 
-#if [ ! -f "${HOSTTOOLS}"/mksquashfs ]
-#then
-#  setupfor squashfs &&
-#  cd squashfs-tools &&
-#  make &&
-#  cp mksquashfs unsquashfs "${HOSTTOOLS}" &&
-#  cd ..
-#
-#  cleanup squashfs
-#fi
+if [ ! -f "${HOSTTOOLS}"/mksquashfs ]
+then
+  setupfor squashfs &&
+  cd squashfs-tools &&
+  make -j $CPUS &&
+  cp mksquashfs unsquashfs "${HOSTTOOLS}" &&
+  cd ..
+
+  cleanup squashfs
+fi
 
 if [ ! -z "$RECORD_COMMANDS" ]
 then 
--- a/system-image.sh	Tue Mar 24 17:01:41 2009 -0500
+++ b/system-image.sh	Tue Mar 24 19:36:07 2009 -0500
@@ -113,15 +113,13 @@
     resize2fs "$SYSIMAGE/$IMAGE" ${SYSIMAGE_HDA_MEGS}M || dienow
   fi
 
-#elif [ "$SYSIMAGE_TYPE" == "squashfs" ]
-#then
-# We used to do this, but updating the squashfs patch for each new kernel
-# was just too much work.  If it gets merged someday, we may care again...
+elif [ "$SYSIMAGE_TYPE" == "squashfs" ]
+then
+  echo "Creating squashfs image (in background)"
 
-#  IMAGE="image-${ARCH}.sqf"
-#  echo -n "Creating squashfs image (in background)"
-#  "${WORK}/mksquashfs" "${NATIVE_ROOT}" "${SYSIMAGE}/$IMAGE" \
-#    -noappend -all-root -info || dienow
+  IMAGE="image-${ARCH}.sqf"
+  mksquashfs "${NATIVE_ROOT}" "$SYSIMAGE/$IMAGE" -noappend -all-root \
+    -no-progress || dienow
 else
   echo "Unknown image type." >&2
   dienow